## r-cran-cvst 0.2

=== DESCRIPTION ===
Package: CVST
Type: Package
Title: Fast Cross-Validation via Sequential Testing
Version: 0.2-1
Date: 2013-12-10
Depends: kernlab,Matrix
Author: Tammo Krueger, Mikio Braun
Maintainer: Tammo Krueger <tammokrueger@googlemail.com>
Description: This package implements the fast cross-validation via sequential testing (CVST) procedure. CVST is an improved cross-validation procedure which uses non-parametric testing coupled with sequential analysis to determine the best parameter set on linearly increasing subsets of the data. By eliminating underperforming candidates quickly and keeping promising candidates as long as possible, the method speeds up the computation while preserving the capability of a full cross-validation. Additionally to the CVST the package contains an implementation of the ordinary k-fold cross-validation with a flexible and powerful set of helper objects and methods to handle the overall model selection process. The implementations of the Cochran's Q test with permutations and the sequential testing framework of Wald are generic and can therefore also be used in other contexts.
License: GPL (>= 2.0)
Packaged: 2013-12-10 13:06:36 UTC; tammok
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-12-10 14:50:04

## r-cran-cvst 0.2-1

=== debian/changelog ===
r-cran-cvst (0.2-1-1) unstable; urgency=medium

  * Initial release (closes: #879567)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Oct 2017 23:41:22 +0200

=== debian/control ===
Source: r-cran-cvst
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-kernlab,
               r-cran-matrix
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-cvst.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-cvst.git
Homepage: https://cran.r-project.org/package=CVST

Package: r-cran-cvst
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fast cross-validation via sequential testing
 This package implements the fast cross-validation via sequential testing
 (CVST) procedure. CVST is an improved cross-validation procedure which
 uses non-parametric testing coupled with sequential analysis to
 determine the best parameter set on linearly increasing subsets of the
 data. By eliminating underperforming candidates quickly and keeping
 promising candidates as long as possible, the method speeds up the
 computation while preserving the capability of a full cross-validation.
 Additionally to the CVST the package contains an implementation of the
 ordinary k-fold cross-validation with a flexible and powerful set of
 helper objects and methods to handle the overall model selection
 process. The implementations of the Cochran's Q test with permutations
 and the sequential testing framework of Wald are generic and can
 therefore also be used in other contexts.

## r-cran-cvst 0.2-2

=== debian/changelog ===
r-cran-cvst (0.2-2-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 18:36:55 +0200

r-cran-cvst (0.2-2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Remove autopkgtest since upstream has dropped test suite

 -- Andreas Tille <tille@debian.org>  Wed, 30 May 2018 09:01:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: r-cran-cvst
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-kernlab,
                r-cran-matrix
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-cvst.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-cvst.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cvst
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cvst.git
 Homepage: https://cran.r-project.org/package=CVST
 
 Package: r-cran-cvst
 Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/CVST_([-\d.]*)\.tar\.gz

## r-cran-cvst 0.2-3

=== debian/changelog ===
r-cran-cvst (0.2-3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 13:54:27 +0100

r-cran-cvst (0.2-2-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 06:50:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-kernlab,
                r-cran-matrix
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cvst
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cvst.git
 Homepage: https://cran.r-project.org/package=CVST
+Rules-Requires-Root: no
 
 Package: r-cran-cvst
 Architecture: all
